package model

import (
	"time"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

type WorkOrderCalendar struct {
	Id        int64                 `json:"id"`
	Name      string                `json:"name"`
	Count     int32                 `json:"count"`
	ShowDay   string                `json:"show_day"`
	IsShow    pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt int64                 `json:"created_at"`
	UpdatedAt int64                 `json:"updated_at"`
}

func (w *WorkOrderCalendar) TableName() string {
	return "work_order_calendar"
}

func NewWorkOrderCalendar(name string, count int32) *WorkOrderCalendar {
	return &WorkOrderCalendar{
		Name:    name,
		Count:   count,
		ShowDay: time.Now().Format(LayoutDate2),
		IsShow:  pasturePb.IsShow_Ok,
	}
}
